SDL_VideoDriverName(3)

NAME
SDL_VideoDriverName - Obtain the name of the video driver

SYNOPSIS

#include "SDL.h"

char *SDL_VideoDriverName(char *namebuf, int maxlen);

DESCRIPTION

The buffer pointed to by namebuf is filled up to a maximum of maxlen characters (include the NULL terminator) with the name of the initialised video driver. The driver name is a simple one word identifier like "x11" or "windib".

RETURN VALUE

Returns NULL if video has not been initialised with SDL_Init or a pointer to namebuf otherwise.

SEE ALSO

SDL_Init SDL_InitSubSystem